#ifndef H_CORAL_DIFF_PATCH
#define H_CORAL_DIFF_PATCH
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include <coral/lib/helper_uuid.h>
#include <coral/core/Element.h>
#include <coral/core/ElementDefinition.h>
#include <coral/lib/autovector.h>


NAMESPACE_BEGIN(coral);
NAMESPACE_BEGIN(DIFF);

#ifndef SWIG
enum modelpatch_params {
     foobar = 0
};
#endif


/**
 * Patches a Collection with a DIFF10 model
 *
 */
void ModelPatch_Collection(Collection* roots,
			   Element* diff,
			   int params = 0) throw (std::exception);

/**
 * Patches a Project with a DIFF10 model
 *
 */
void ModelPatch(Project* prj,
		Element* diff,
		int params = 0) throw (std::exception);

NAMESPACE_END();
NAMESPACE_END();


#endif
